Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162138 - comparisons like X<=Y<=Z do not have their mathematical meaning
Summary: comparisons like X<=Y<=Z do not have their mathematical meaning
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: gdm
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-30 09:53 UTC by David Binderman
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-02-07 22:22:53 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 301565 None None None Never

Description David Binderman 2005-06-30 09:53:19 UTC
Description of problem:

I just tried to compile package gdm-2.6.0.8-16 from Redhat
Fedora Core development tree with the gcc 4.0.0 compiler and
the compiler flag -Wall.

The compiler said

keymouselistener.c:751: warning: comparisons like X<=Y<=Z do not have their
mathematical meaning

The source code is

	if (curr_gesture->type 
		== elapsed_time (last_event, xevent) 
		> curr_gesture->timeout) {

I agree with the compiler. This code would benefit from rework.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:


Note You need to log in before you can comment on or make changes to this bug.